#include <stdlib.h>
#include <packet.h>
#include <plugin.h>
#include <signature.h>
#include <decode.h>
#include <preproc.h>

proc_preproc_dispatch preproc_dispatch;

void arp_decode(struct packet *);
void rarp_decode(struct packet *);

struct proto rarp_p=init_proto("rarp", rarp_decode, NULL);
struct proto_req rarp_r[]={
	proto_request("ethernet", __constant_htons(0x0835)),
	proto_request("802.1q", __constant_htons(0x0835)),
	proto_request("sll", __constant_htons(0x0835)),
	proto_request("linux", __constant_htons(0x0835)),
	null_request()
};

struct proto arp_p=init_proto("arp", arp_decode, NULL);
struct proto_req arp_r[]={
	proto_request("ethernet", __constant_htons(0x0806)),
	proto_request("802.1q", __constant_htons(0x0806)),
	proto_request("sll", __constant_htons(0x0806)),
	proto_request("linux", __constant_htons(0x0806)),
	null_request()
};

void arp_decode(struct packet *p){preproc_dispatch(p);}
void rarp_decode(struct packet *p){preproc_dispatch(p);}

int _PLUGIN_INIT (struct plugin_in *in, struct plugin_out *out)
{
	int ok=0;
	proc_decode_add decode_add;

	plugin_check(in, out);
	
	PLUGIN_ID("decode.arp", "ARP/RARP");
	PLUGIN_VERSION(2, 0);
	PLUGIN_AUTHOR("Gianni Tedesco", "gianni@scaramanga.co.uk");
	PLUGIN_LICENSE("GPL");
	
	if ( !(decode_add=in->import("decode.add")) ) {
		return PLUGIN_ERR_OBJECT;
	}

	if ( !(preproc_dispatch=in->import("preproc.dispatch")) ) {
		return PLUGIN_ERR_OBJECT;
	}

	ok+=decode_add(&arp_p, arp_r);
	ok+=decode_add(&rarp_p, rarp_r);
	
	return (ok) ? PLUGIN_ERR_OK : PLUGIN_ERR_FAIL;
}

int _PLUGIN_UNLOAD (int code) {
	return PLUGIN_ERR_OK;
}
