#include <stdlib.h>
#include <packet.h>
#include <plugin.h>
#include <signature.h>
#include <decode.h>
#include <preproc.h>

proc_preproc_dispatch preproc_dispatch;

void irda_decode(struct packet *p) {preproc_dispatch(p);}

int _PLUGIN_INIT (struct plugin_in *in, struct plugin_out *out)
{
	static struct proto irda_p=init_proto("irda", irda_decode, NULL);
	static struct proto_req irda_r[]={
		proto_request("linux", __constant_htons(0x0017)),
		null_request()
	};
	proc_decode_add decode_add;
	int ok=0;
	
	plugin_check(in, out);
	
	PLUGIN_ID("decode.irda", "IRDA (Infra-Red)");
	PLUGIN_VERSION(0, 1);
	PLUGIN_AUTHOR("Gianni Tedesco", "gianni@scaramanga.co.uk");
	PLUGIN_LICENSE("GPL");
	
	if ( !(decode_add=in->import("decode.add")) ) {
		return PLUGIN_ERR_OBJECT;
	}

	if ( !(preproc_dispatch=in->import("preproc.dispatch")) ) {
		return PLUGIN_ERR_OBJECT;
	}

	ok+=decode_add(&irda_p, irda_r);
	
	return (ok) ? PLUGIN_ERR_OK : PLUGIN_ERR_FAIL;
}

int _PLUGIN_UNLOAD (int code) {
	return PLUGIN_ERR_OK;
}
