Summary: A Network Intrusion Detection System (NIDS)
Name: firestorm
Version: 0.4.6
Release: 1
License: GPL
Group: System Environment/Daemons
Source: firestorm-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Firestorm is an extremely high performance network intrusion detection
system (NIDS). At the moment it is just a sensor but plans are to include
real support for analysis, reporting, remote console and on-the-fly
sensor configuration. It is fully pluggable and hence extremely flexible.

%prep
%setup -q
./configure \
	--sysconfdir=%_sysconfdir \
	--mandir=%_mandir \
	--bindir=%_bindir \
	--libdir=%_libdir

%build
make

%install
rm -f $RPM_BUILD_ROOT/%_mandir/man8/*
rm -f $RPM_BUILD_ROOT/%_mandir/man5/*
make install DESTDIR=$RPM_BUILD_ROOT

# install firestorm.rules
install -m640 firestorm.rules $RPM_BUILD_ROOT/%_libdir/firestorm/firestorm.rules
ln -sf %_libdir/firestorm/firestorm.rules $RPM_BUILD_ROOT/etc/firestorm.rules

# Make log dir
install -m750 -d $RPM_BUILD_ROOT/%_libdir/firestorm/logs
mkdir -p $RPM_BUILD_ROOT/var/log/
ln -sf %_libdir/firestorm/logs $RPM_BUILD_ROOT/var/log/firestorm

# install logrotate
install -m750 -d $RPM_BUILD_ROOT/etc/logrotate.d/
install -m640 firestorm.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/firestorm 

# install init script
install -m750 -d $RPM_BUILD_ROOT/etc/init.d
install -m750 rc.firestorm $RPM_BUILD_ROOT/etc/init.d/firestorm 

# install better config file
install -m750 firestorm-rpm.conf $RPM_BUILD_ROOT/etc/firestorm.conf

# Add user and group before installing
%pre
userdel firestorm 2>/dev/null || true
groupdel firestorm 2>/dev/null || true
groupadd -g 303 firestorm || true
useradd -M -s /bin/false -d /usr/lib/firestorm -u 303 -g 303 firestorm || true

%post
chkconfig --level 235 firestorm on

%preun
chkconfig --level 235 firestorm off 2>/dev/null || true

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

# binaries
%attr(755,root,root) %_bindir/firestorm
%attr(755,root,root) %_bindir/firestat

# Manuals
%doc %_mandir/man8/*
%doc %_mandir/man5/*

# Docs
%doc ChangeLog NEWS README INSTALL CREDITS HACKING AUTHORS

# Plugins
%dir %_libdir/firestorm/
%_libdir/firestorm/capdev
%_libdir/firestorm/decode
%_libdir/firestorm/parser
%_libdir/firestorm/preproc
%_libdir/firestorm/target
%_libdir/firestorm/matcher

# Logs
%attr(770,root,firestorm) %_libdir/firestorm/logs

# Rules
%attr(750,root,firestorm) %_libdir/firestorm/snort-rules

# configuration
%config(noreplace) %attr(640,root,firestorm) %_libdir/firestorm/firestorm.rules
%config(noreplace) %attr(640,root,root) %_sysconfdir/firestorm.conf

# symlinks
/etc/firestorm.rules
/var/log/firestorm

# scripts
/etc/init.d/firestorm
/etc/logrotate.d/firestorm

%changelog
* Mon Aug 12 2002 Greg Sheard <greg@ecsc.co.uk>
- Port ECSC spec across to be usable
- Update for 0.4.6
