#ifndef __ALERT_HEADER_INCLUDED__
#define __ALERT_HEADER_INCLUDED__

#define init_alert(x, y, z) {x, y, z}
struct alert {
	char		*alert;
	u_int32_t	sid;
	u_int32_t	rev;
};

struct output {
	struct output	*next;
	int		err;
	void		*t_priv;
	struct target	*target;
};

#define GEN_DEFAULT 0 /* use the default logging facility */
#define GEN_SUPPRESS 1 /* suppress logs from this generator */
#define init_generator(x) {NULL, x, GEN_DEFAULT, NULL, NULL}
struct generator {
	struct generator	*next;
	char			*name;
	unsigned int		mode;
	struct output		*logs;
	struct output		*logs_tail;
};

#ifndef __PLUGIN__
int alert_generator(struct generator *);
void alert(struct generator*, struct packet *, struct alert *);
int alert_output(char *, char *, char *);
void alert_init(void);
void alert_hup(void);
#else
typedef int (*proc_alert_generator)(struct generator *);
typedef void (*proc_alert)(struct generator*, struct packet *, struct alert *);
#endif

#endif /* __ALERT_HEADER_INCLUDED__ */
