#ifndef __CONF_HEADER_INCLUDED__
#define __CONF_HEADER_INCLUDED__

#ifdef __PLUGIN__
#error "Plugins should not include conf.h!"
#endif

typedef void(*proc_confapply)(char *, char *);

struct conf_list {
	struct conf_list	*next;
	char			*filename;
	int			line;
	char			*str;
};

struct conf_handler {
	char			*name;
#define CHF_ITERATE		(1<<1)
#define CHF_HIDDEN		(1<<2)
	int			flags;
	struct conf_list	*list;
	struct conf_list	*end;
	proc_confapply		apply;
};

void conf_parse_arg(char *, char **, char **);
struct conf_handler *conf_find(char *);
void conf_load(char *);
void conf_apply(void);
int conf_line(char *, int, char *);

/* Config handlers */
void lps_apply(char *, char *);
void lpf_apply(char *, char *);
void sig_apply(char *, char *);
void cap_apply(char *, char *);
void req_apply(char *, char *);
void preproc_apply(char *, char *);
void root_apply(char *, char *);
void chroot_apply(char *, char *);
void uid_apply(char *, char *);
void gid_apply(char *, char *);
void log_apply(char *, char *);
void output_apply(char *, char *);
void done_plugins(char *, char *);

#endif /* __CONF_HEADER_INCLUDED__ */
